/*
 * CSVTaskReport.h - TaskJuggler
 *
 * Copyright (c) 2001, 2002, 2003, 2004 by Chris Schlaeger <cs@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * $Id: CSVTaskReport.h 1259 2006-01-31 12:04:00Z cs $
 */

#ifndef _CSVTaskReport_h_
#define _CSVTaskReport_h_

#include "CSVReport.h"

class Project;
class CSVTaskReportElement;

/**
 * @short Stores all information about an CSV task report.
 * @author Chris Schlaeger <cs@kde.org>
 */
class CSVTaskReport : public CSVReport
{
public:
    CSVTaskReport(Project* p, const QString& f, const QString& df, int dl);
    virtual ~CSVTaskReport();

    virtual const char* getType() const { return "CSVTaskReport"; }

    bool generate();
    CSVTaskReportElement* getTable() { return tab; }

private:
    CSVTaskReport() { }

    CSVTaskReportElement* tab;
} ;

#endif
